/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.web.loadbalancer.util;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.HttpMethod;
import org.jboss.web.loadbalancer.scheduler.Host;

/**
 * A class that holds all information about a request.
 *
 * @author Thomas Peuss <jboss@peuss.de>
 * @version $Revision: 1.2.2.2 $
 */
public class Request
{
  private HttpServletRequest request;
  private HttpServletResponse response;
  private int requestMethod;
  private HttpMethod method;
  private Host host;
  private HttpClient client;

  public Request(HttpServletRequest request,
                 HttpServletResponse response, int requestMethod)
  {
    this.request=request;
    this.response=response;
    this.requestMethod=requestMethod;
  }

  public HttpServletRequest getRequest()
  {
    return request;
  }

  public int getRequestMethod()
  {
    return requestMethod;
  }

  public HttpServletResponse getResponse()
  {
    return response;
  }

  public HttpMethod getMethod()
  {
    return method;
  }

  public void setMethod(HttpMethod method)
  {
    this.method = method;
  }

  public Host getHost()
  {
    return host;
  }

  public void setHost(Host host)
  {
    this.host = host;
  }

  public HttpClient getClient()
  {
    return client;
  }

  public void setClient(HttpClient client)
  {
    this.client = client;
  }
}